> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcamp.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task

> Get task details by ID.



## OpenAPI

````yaml GET /task/{taskId}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.teamcamp.app/v1.0/
security:
  - bearerAuth: []
paths:
  /task/{taskId}:
    get:
      description: Get task details by ID.
      parameters:
        - name: taskId
          in: path
          description: The unique identifier of the task to get task details.
          required: true
          schema:
            type: string
            minLength: 10
      responses:
        '200':
          description: Task response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getTask'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    getTask:
      allOf:
        - $ref: '#/components/schemas/getTasks'
        - type: object
          properties:
            projectId:
              description: The ID of the project.
              type: string
            groupId:
              description: The ID of the group.
              type: string
            group:
              description: The Group of the task.
              type: string
            description:
              description: Description of the task.
              type: string
            status:
              description: The Status of the task.
              type: boolean
            subscribers:
              description: List of Subscribers who Subscribe the task.
              type: array
              items:
                type: string
            dueDate:
              description: The due date of the project.
              type: string
            priority:
              description: Select priority of the task.
              type: string
            estimateTime:
              description: Estimated time required for the task (hh).
              type: integer
            milestoneId:
              description: The ID of the task milestone.
              type: integer
            taskUsers:
              description: List of task users.
              type: array
              items:
                $ref: '#/components/schemas/TaskUsers'
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    getTasks:
      required:
        - name
      type: object
      properties:
        taskId:
          description: The ID of the task
          type: string
        taskName:
          description: The Name of the task
          type: string
    TaskUsers:
      allOf:
        - type: object
          properties:
            taskUserId:
              description: The ID of the task user.
              type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: apiKey
      in: header

````